Agent Governance Protocol
API ReferenceDecision APIApprovals

Get approval request status

GET
/agp/approval-requests/{approvalRequestId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.decision.read, agp.decision.write

Path Parameters

approvalRequestId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/approval-requests/string"
{  "request_id": "string",  "decision_ref": "string",  "status": "pending",  "requested_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "requested_approvers": [    "string"  ],  "approval_mode": "single",  "requested_scope": [    "string"  ],  "expires_at": "2019-08-24T14:15:22Z",  "approval_ref": "string",  "operation_id": "string",  "callback_url": "http://example.com"}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}